<template>
  <div>
    <v-card-title>My workshop</v-card-title>

    <v-card class="bg-surface-variant pa-2 my-4" variant="outline" v-for="(item, i) in workshop" :key="i"
      :to="item.toLink">
      <v-card-title>{{ item.wsname }}</v-card-title>
      <v-card-text>{{ item.detail }}</v-card-text>
    </v-card>

  </div>
</template>
  
<script>
definePageMeta({
  middleware: "auth-khan"

})
export default {
  data() {
    return {
      workshop: [
        { wsname: "Work shop 1", detail: "My profile.", toLink: "/Khanjana/Khanjana" },
        { wsname: "Work shop 2", detail: "table test crud", toLink: "/Khanjana/testcrud" },
        { wsname: "Work shop 3", detail: "Create UI", toLink: "/Khanjana/appComponent/app" },
        { wsname: "Work shop 4", detail: "Login", toLink: "/Khanjana/login" },
      ],
    };
  },
};
</script>
  